(function($) {

    const regular_blog_section_lists = ['trending-topics', 'projects', 'featured-video'];
    regular_blog_section_lists.forEach(regular_blog_homepage_scroll_preview);

    function regular_blog_homepage_scroll_preview(item, index) {
        // Collect information from customize-controls.js about which panels are opening.
        wp.customize.bind('preview-ready', function() {

            // Initially hide the theme option placeholders on load.
            $('.panel-placeholder').hide();
            item = item.replace('-', '_');
            wp.customize.preview.bind(item, function(data) {
                // Only on the front page.
                if (!$('body').hasClass('home')) {
                    return;
                }

                // When the section is expanded, show and scroll to the content placeholders, exposing the edit links.
                if (true === data.expanded) {
                    $('html, body').animate({
                        'scrollTop': $('#regular_blog_' + item + '_section').position().top
                    });
                }
            });

        });
    }

    // Projects Section.
    wp.customize('regular_blog_projects_title', function(value) {
        value.bind(function(to) {
            $('#regular_blog_projects_section .section-title').text(to);
        });
    });
    wp.customize('regular_blog_projects_text', function(value) {
        value.bind(function(to) {
            $('#regular_blog_projects_section .section-subtitle').text(to);
        });
    });
    wp.customize('regular_blog_projects_button_label', function(value) {
        value.bind(function(to) {
            $('#regular_blog_projects_section .enterpriseup-latest-news-view-all a').text(to);
        });
    });

    // Trending Topics Section.
    wp.customize('regular_blog_trending_topics_title', function(value) {
        value.bind(function(to) {
            $('#regular_blog_trending_topics_section .section-title').text(to);
        });
    });
    wp.customize('regular_blog_trending_topics_text', function(value) {
        value.bind(function(to) {
            $('#regular_blog_trending_topics_section .section-subtitle').text(to);
        });
    });
    wp.customize('regular_blog_trending_topics_button_label', function(value) {
        value.bind(function(to) {
            $('#regular_blog_trending_topics_section .enterpriseup-latest-news-view-all a').text(to);
        });
    });

    // Featured Video Section.
    wp.customize('regular_blog_featured_video_subtitle', function(value) {
        value.bind(function(to) {
            $('#regular_blog_featured_video_section .section-subtitle').text(to);
        });
    });
    wp.customize('regular_blog_featured_video_title', function(value) {
        value.bind(function(to) {
            $('#regular_blog_featured_video_section .section-title').text(to);
        });
    });
    wp.customize('regular_blog_featured_video_short_description', function(value) {
        value.bind(function(to) {
            $('#regular_blog_featured_video_section .video-detail p').text(to);
        });
    });

}(jQuery));