<?php
/**
 * Theme Customizer
 *
 * @package Regular_Blog
 */

function regular_blog_customize_register( $wp_customize ) {

	require get_theme_file_path() . '/inc/customizer/projects.php';

	require get_theme_file_path() . '/inc/customizer/trending-topics.php';

	require get_theme_file_path() . '/inc/customizer/featured-video.php';

}
add_action( 'customize_register', 'regular_blog_customize_register' );

function regular_blog_customize_preview_js() {
	wp_enqueue_script( 'regular-blog-customizer', get_stylesheet_directory_uri() . '/assets/js/customizer.js', array( 'customize-preview', 'enterpriseup-customizer' ), ENTERPRISEUP_VERSION, true );
}
add_action( 'customize_preview_init', 'regular_blog_customize_preview_js' );

function regular_blog_custom_control_scripts() {
	wp_enqueue_style( 'regular-blog-custom-controls-css', get_stylesheet_directory_uri() . '/assets/css/custom-controls.css', array( 'enterpriseup-custom-controls-css' ), '1.0', 'all' );
	wp_enqueue_script( 'regular-blog-custom-controls-js', get_stylesheet_directory_uri() . '/assets/js/custom-controls.js', array( 'enterpriseup-custom-controls-js', 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
}
add_action( 'customize_controls_enqueue_scripts', 'regular_blog_custom_control_scripts' );

/*=====================Active Callback=================*/

// Projects section.
function regular_blog_is_projects_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'regular_blog_enable_projects_section' )->value() );
}
function regular_blog_is_projects_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'regular_blog_projects_content_type' )->value();
	return ( regular_blog_is_projects_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function regular_blog_is_projects_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'regular_blog_projects_content_type' )->value();
	return ( regular_blog_is_projects_section_enabled( $control ) && ( 'page' === $content_type ) );
}

// Trending Topics Section.
function regular_blog_is_trending_topics_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'regular_blog_enable_trending_topics_section' )->value() );
}

// Featured Video Section.
function regular_blog_is_featured_video_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'regular_blog_enable_featured_video_section' )->value() );
}
