<?php
if ( ! get_theme_mod( 'regular_blog_enable_featured_video_section', false ) ) {
	return;
}

$section_content                = array();
$section_content['subtitle']    = get_theme_mod( 'regular_blog_featured_video_subtitle' );
$section_content['title']       = get_theme_mod( 'regular_blog_featured_video_title', __( 'Watch the Video', 'regular-blog' ) );
$section_content['description'] = get_theme_mod( 'regular_blog_featured_video_short_description' );
$section_content['bg_image']    = get_theme_mod( 'regular_blog_featured_video_background_image' );
$section_content['video_url']   = get_theme_mod( 'regular_blog_featured_video_video_link' );

$section_content = apply_filters( 'regular_blog_featured_video_section_content', $section_content );

regular_blog_render_featured_video_section( $section_content );

/**
 * Render Featured Video Section.
 */
function regular_blog_render_featured_video_section( $section_content ) {
	if ( empty( $section_content ) ) {
		return;
	}
	?>
	<section id="regular_blog_featured_video_section" class="enterpriseup-frontpage-section enterpriseup-product-video-section style-1">
		<?php
		if ( is_customize_preview() ) :
			regular_blog_section_link( 'regular_blog_featured_video_section' );
		endif;
		?>
		<?php if ( ! empty( $section_content['bg_image'] ) ) { ?>
			<div class="enterpriseup-product-video-background-img">
				<img src="<?php echo esc_url( $section_content['bg_image'] ); ?>">
			</div>
		<?php } ?>
		<div class="ascendoor-wrapper">
			<div class="enterpriseup-product-video-details">
				<div class="section-header-subtitle">
					<p class="section-subtitle video-detail-subtitle"><?php echo esc_html( $section_content['subtitle'] ); ?></p>
					<h3 class="section-title video-detail-title"><?php echo esc_html( $section_content['title'] ); ?></h3>
				</div>
				<div class="video-detail">
					<p><?php echo wp_kses_post( $section_content['description'] ); ?></p>
				</div>
				<?php if ( ! empty( $section_content['video_url'] ) ) : ?>
					<a href="<?php echo esc_url( $section_content['video_url'] ); ?>" class="enterpriseup-video-popup enterpriseup-video-play-btn"><i class="fas fa-play"></i></a>
				<?php endif; ?>
			</div>
		</div>
	</section>
	<?php
}
